# $Revision: 1.15 $, $Date: 2007-08-26 12:22:34 $

%define		_beta	beta2

Summary:	KBlogger - kicker applet for quick blogging
Summary(de.UTF-8):	KBlogger - ein Kickerapplet fürs schnelle bloggen
Summary(pl.UTF-8):	KBlogger - aplet kickera do szybkiego blogowania
Name:		kblogger
Version:	0.7
Release:	0.%{_beta}.1
License:	GPL
Group:		X11/Applications
Source0:	http://kblogger.pwsp.net/files/%{name}-%{version}-%{_beta}.tar.bz2
# Source0-md5:	05f7dbc27ae264b849ea40e6a705edc8
Patch0:		kde-ac260-lt.patch
URL:		http://www.kde-apps.org/content/show.php?content=29552
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdebase-devel >= 9:3.0
BuildRequires:	kdelibs-devel >= 9:3.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KBlogger is a kicker-applet for quick blogging, like gnome-blog. Just
push the blog button and blog! It currently supports the
Meta-Weblog-Api, which is supported by most blogs, and Blogger API
1.0. Support for Atom API is planned.

%description -l de.UTF-8
KBlogger ist ein Kickerapplet fürs schnelle bloggen, so wie
gnome-blog. Drück einfach den Knopf und blog loss. Es unterstützt zur
Zeit die Meta-Weblog-API, welche bei den meinsten Blogs verwendet wird
und Blogger API 1.0. Unterstützung für Atom API ist geplant.

%description -l pl.UTF-8
KBlogger jest apletem kickera do szybkiego blogowania, podobny do
gnome-bloga. Wystarczy, że wciśniesz przycisk i blogujesz. Aktualnie
wspiera Meta-Weblog-Api, używane przez większość blogów, oraz Bloger
API 1.0. Wsparcie dla Atom API jest planowane.

%prep
%setup -q -n %{name}-%{version}%{_beta}
%patch0 -p1

%build
%{__make} -f admin/Makefile.common cvs
%configure \
%if "%{_lib}" == "lib64"
 	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
 	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

#%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

#%files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/kde3/kblogger_panelapplet.so
%{_libdir}/kde3/kblogger_panelapplet.la
%{_datadir}/apps/kicker/applets/kblogger.desktop
%{_datadir}/config.kcfg/kblogger.kcfg
%dir %{_iconsdir}/crystalsvg/*/apps/kblogger
%{_iconsdir}/crystalsvg/*/apps/kblogger/warning.png
%{_iconsdir}/crystalsvg/*/apps/kblogger.png
#%{_iconsdir}/crystalsvg/scalable/apps/kblogger.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kblogger.spec,v $
Revision 1.15  2007-08-26 12:22:34  shadzik
- 0.7beta2

Revision 1.14  2007/03/21 21:57:05  rotom
- 0.6.5

Revision 1.13  2007/03/19 23:40:55  shadzik
- up to 0.6.4
- fix 64bit compilation
- add patches to support ac260 and am110

Revision 1.12  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.10  2007/02/11 22:19:16  qrczak
- Cosmetics to make spec_utf8 happy.

Revision 1.9  2006/05/26 14:49:24  qboosh
- removed files dup, don't package sources as kdedocs, BR: kdebase-devel

Revision 1.8  2006/05/23 20:22:13  shadzik
- up to 0.6.2

Revision 1.7  2006/05/22 20:42:10  qboosh
- simplified prep

Revision 1.6  2006/05/22 15:02:12  shadzik
- up to 0.6.1

Revision 1.5  2006/05/18 22:13:39  shadzik
- fixed make install with %find_lang
- rel++

Revision 1.4  2006/05/18 17:57:18  qboosh
- lib64 fix; doesn't compile anyway

Revision 1.3  2006/05/18 17:48:55  qboosh
- no ldconfig, X11 in Group, use find_lang for kde help files

Revision 1.2  2006/05/17 16:26:15  shadzik
- one new BR, i think it need BR for the whole doc/HTML thing, can't find any info on the homepage

Revision 1.1  2006/05/17 16:22:26  shadzik
- new, needs BRs
